Bug 181438 - fontconfig has more font cache issues
fontconfig has more font cache issues
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: fontconfig (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-13 21:04 EST by Dave Jones
Modified: 2015-01-04 17:25 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-03 09:45:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dave Jones 2006-02-13 21:04:57 EST
#0  0x00002aba6168ca03 in FcCharSetIsSubset (a=0x2aba68d9d480, b=0x6970d0)
    at fccharset.c:674
674                         if (*am++ & ~*bm++)
(gdb) bt
#0  0x00002aba6168ca03 in FcCharSetIsSubset (a=0x2aba68d9d480, b=0x6970d0)
    at fccharset.c:674
#1  0x00002aba616976de in FcFontSetSort (config=Variable "config" is not availab le.
) at fcmatch.c:809
#2  0x00002aba61697a06 in FcFontSort (config=0x0, p=0x5a5520, trim=1, csp=0x0,
    result=0x7fffff84629c) at fcmatch.c:1032
#3  0x00002aba5fa87b88 in pango_fc_font_map_get_type ()
   from /usr/lib64/libpangoft2-1.0.so.0
#4  0x00002aba605f8dbd in pango_context_get_font_description ()
   from /usr/lib64/libpango-1.0.so.0
#5  0x00002aba605f90fd in pango_itemize_with_base_dir ()
   from /usr/lib64/libpango-1.0.so.0
#6  0x00002aba60600400 in pango_layout_iter_get_char_extents ()
   from /usr/lib64/libpango-1.0.so.0
#7  0x00002aba60600f38 in pango_layout_iter_get_char_extents ()
   from /usr/lib64/libpango-1.0.so.0
#8  0x00002aba5fcb8c73 in gtk_label_new () from /usr/lib64/libgtk-x11-2.0.so.0
#9  0x00002aba60a1432a in g_closure_invoke ()
   from /usr/lib64/libgobject-2.0.so.0
#10 0x00002aba60a25950 in g_signal_override_class_closure ()
   from /usr/lib64/libgobject-2.0.so.0
#11 0x00002aba60a268a9 in g_signal_emit_valist ()
   from /usr/lib64/libgobject-2.0.so.0
#12 0x00002aba60a27c60 in g_signal_emit_by_name ()
   from /usr/lib64/libgobject-2.0.so.0
#13 0x00002aba5fd0e058 in gtk_signal_new () from /usr/lib64/libgtk-x11-2.0.so.0
#14 0x00002aba5fc8fc8e in gtk_hbox_new () from /usr/lib64/libgtk-x11-2.0.so.0
#15 0x00002aba60a1432a in g_closure_invoke ()
   from /usr/lib64/libgobject-2.0.so.0
#16 0x00002aba60a25950 in g_signal_override_class_closure ()
   from /usr/lib64/libgobject-2.0.so.0
#17 0x00002aba60a268a9 in g_signal_emit_valist ()
   from /usr/lib64/libgobject-2.0.so.0
#18 0x00002aba60a27c60 in g_signal_emit_by_name ()
   from /usr/lib64/libgobject-2.0.so.0
#19 0x00002aba5fd0e058 in gtk_signal_new () from /usr/lib64/libgtk-x11-2.0.so.0
#20 0x00002aba5fc09a29 in gtk_alignment_new ()
   from /usr/lib64/libgtk-x11-2.0.so.0
#21 0x00002aba60a1432a in g_closure_invoke ()
   from /usr/lib64/libgobject-2.0.so.0
#22 0x00002aba60a25950 in g_signal_override_class_closure ()
   from /usr/lib64/libgobject-2.0.so.0
#23 0x00002aba60a268a9 in g_signal_emit_valist ()
   from /usr/lib64/libgobject-2.0.so.0
#24 0x00002aba60a27c60 in g_signal_emit_by_name ()
   from /usr/lib64/libgobject-2.0.so.0
#25 0x00002aba5fd0e058 in gtk_signal_new () from /usr/lib64/libgtk-x11-2.0.so.0
#26 0x00002aba5fc11cae in gtk_button_set_alignment ()
   from /usr/lib64/libgtk-x11-2.0.so.0
#27 0x00002aba60a1432a in g_closure_invoke ()
   from /usr/lib64/libgobject-2.0.so.0
#28 0x00002aba60a25950 in g_signal_override_class_closure ()
   from /usr/lib64/libgobject-2.0.so.0
#29 0x00002aba60a268a9 in g_signal_emit_valist ()
   from /usr/lib64/libgobject-2.0.so.0
#30 0x00002aba60a27c60 in g_signal_emit_by_name ()
   from /usr/lib64/libgobject-2.0.so.0
#31 0x00002aba5fd0e058 in gtk_signal_new () from /usr/lib64/libgtk-x11-2.0.so.0
#32 0x00002aba5fc0b0fe in gtk_button_box_get_type ()
   from /usr/lib64/libgtk-x11-2.0.so.0
#33 0x00002aba5fc8f448 in gtk_hbutton_box_new ()
   from /usr/lib64/libgtk-x11-2.0.so.0
#34 0x00002aba60a1432a in g_closure_invoke ()
   from /usr/lib64/libgobject-2.0.so.0
#35 0x00002aba60a25950 in g_signal_override_class_closure ()
   from /usr/lib64/libgobject-2.0.so.0
#36 0x00002aba60a268a9 in g_signal_emit_valist ()
   from /usr/lib64/libgobject-2.0.so.0
#37 0x00002aba60a27c60 in g_signal_emit_by_name ()
   from /usr/lib64/libgobject-2.0.so.0
#38 0x00002aba5fd0e058 in gtk_signal_new () from /usr/lib64/libgtk-x11-2.0.so.0
#39 0x00002aba5fda12ae in gtk_vbox_new () from /usr/lib64/libgtk-x11-2.0.so.0
#40 0x00002aba60a1432a in g_closure_invoke ()
   from /usr/lib64/libgobject-2.0.so.0
#41 0x00002aba60a25950 in g_signal_override_class_closure ()
   from /usr/lib64/libgobject-2.0.so.0
#42 0x00002aba60a268a9 in g_signal_emit_valist ()
   from /usr/lib64/libgobject-2.0.so.0
#43 0x00002aba60a27c60 in g_signal_emit_by_name ()
   from /usr/lib64/libgobject-2.0.so.0
#44 0x00002aba5fd0e058 in gtk_signal_new () from /usr/lib64/libgtk-x11-2.0.so.0
#45 0x00002aba5fdaf458 in gtk_window_group_new ()
   from /usr/lib64/libgtk-x11-2.0.so.0
#46 0x00002aba60a1425d in g_closure_invoke ()
   from /usr/lib64/libgobject-2.0.so.0
#47 0x00002aba60a25950 in g_signal_override_class_closure ()
   from /usr/lib64/libgobject-2.0.so.0
#48 0x00002aba60a268a9 in g_signal_emit_valist ()
   from /usr/lib64/libgobject-2.0.so.0
#49 0x00002aba60a27c60 in g_signal_emit_by_name ()
   from /usr/lib64/libgobject-2.0.so.0
#50 0x00002aba5fd0e058 in gtk_signal_new () from /usr/lib64/libgtk-x11-2.0.so.0
#51 0x00002aba5fdaf7e3 in gtk_window_group_new ()
   from /usr/lib64/libgtk-x11-2.0.so.0
#52 0x00002aba5fdb7d01 in gtk_window_new () from /usr/lib64/libgtk-x11-2.0.so.0
#53 0x00002aba60a1425d in g_closure_invoke ()
   from /usr/lib64/libgobject-2.0.so.0
#54 0x00002aba60a25950 in g_signal_override_class_closure ()
   from /usr/lib64/libgobject-2.0.so.0
#55 0x00002aba60a268a9 in g_signal_emit_valist ()
   from /usr/lib64/libgobject-2.0.so.0
#56 0x00002aba60a26b63 in g_signal_emit () from /usr/lib64/libgobject-2.0.so.0
#57 0x00002aba5fdaa2fd in gtk_widget_show ()
   from /usr/lib64/libgtk-x11-2.0.so.0
#58 0x00002aba5fc556b8 in gtk_dialog_run () from /usr/lib64/libgtk-x11-2.0.so.0
#59 0x0000000000401682 in main (argc=Variable "argc" is not available.
) at gnome_segv.c:182
#60 0x00000038f1d1cff4 in __libc_start_main () from /lib64/libc.so.6
#61 0x0000000000401339 in _start ()
#62 0x00007fffff84a058 in ?? ()
#63 0x0000000000000000 in ?? ()
Comment 1 Ray Strode [halfline] 2006-02-14 10:55:42 EST
can you attach your ~/.fonts/fonts.cache-2 and ~/.rh-fontconfig/.fonts.cache-2
files?
Comment 2 Dave Jones 2006-02-15 11:05:34 EST
I did a complete reinstall last night, so I don't have them any more :-/
Comment 3 Matthias Clasen 2006-02-15 15:05:05 EST
and do you have any new fontconfig stacktraces ?
Comment 4 Dave Jones 2006-02-16 00:28:52 EST
so far it's behaved, and hasn't dumped core.
Comment 5 Matthias Clasen 2006-03-03 09:45:15 EST
ok, lets assume this is fixed then. 
If it occurs again, Davej will certainly file a new bug...

Note You need to log in before you can comment on or make changes to this bug.